(Solved) ICOM Next Firmware is too new to work with ISTA-P

ICOM-Next-Firmware-is-too-new-to-work-with-ISTA-P

Solutions for issue: ICOM fimware is too new to work with ista-p.
I have 66.2 installed and the newest icom next firmware.

There is a window showing current Firmware 31503 and the supposed firmware 31500.
is there a workaround?

Error message:

Es befinden sich im Werkstattnetz ICOMs, die eine ungultige Firmware aufweisen.

Die autgefuhrten ICOMs sind derzeit fur eine Programmierung nicht verfugbar.

Bitte wechseln Sie in ISTA und fuhren ein ICOM Firmware Update durch.

Translated in English:

There are ICOM in the workshop network that have invalid firmware.

The listed ICOMs are currently not available for programming.

Please switch to ISTA and carry out an ICOM firmware update.

(Solved) ICOM Next Firmware is too new to work with ISTA-P

ICOM-Next-Firmware-is-too-new-to-work-with-ISTA-P

First solution: override the firmware check

Try this:
[HKEY_LOCAL_MACHINE\SOFTWARE\WOW6432Node\BMWGroup\ISPI\Rheingold]
“Icom.Package.Version”=”00-00-00”
“Icom.Package.Version.Compatible”=”00-00-00”
“IcomNext.Package.Version”=”00-00-00”
“IcomNext.Package.Version.Compatible”=”00-00-00”

Second solution: add firmware version to license

You need to add 03-15-03.

Or use firmware fix (updated for 3.66.2.002. Disables firmware check).

Leave a Comment

Your email address will not be published. Required fields are marked *

You may use these HTML tags and attributes: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <strike> <strong>